Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Class Role

    Object
      CodeList<Role>
          Role

All Implemented Interfaces:
  Serializable, Comparable<Role>

    @UML(identifier="CI_RoleCode",
         specification=ISO_19115)
    public final class Role

extends CodeList<Role>

Function performed by the responsible party.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static Role` | `AUTHOR` Party who authored the resource.
`static Role` | `CUSTODIAN` Party that accepts accountability and responsibility for the data and ensures appropriate care and maintenance of the resource.
`static Role` | `DISTRIBUTOR` Party who distributes the resource.
`static Role` | `ORIGINATOR` Party who created the resource.
`static Role` | `OWNER` Party that owns the resource.
`static Role` | `POINT_OF_CONTACT` Party who can be contacted for acquiring knowledge about or acquisition of the resource.
`static Role` | `PRINCIPAL_INVESTIGATOR` Key party responsible for gathering information and conducting research.
`static Role` | `PROCESSOR` Party who has processed the data in a manner such that the resource has been modified.
`static Role` | `PUBLISHER` Party who published the resource.
`static Role` | `RESOURCE_PROVIDER` Party that supplies the resource.
`static Role` | `USER` Party who uses the resource.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static Role` | `valueOf(String code)` Returns the Role that matches the given string, or returns a new one if none match it.
`static Role[]` | `values()` Returns the list of `Role`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCE_PROVIDER

    @UML(identifier="resourceProvider",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role RESOURCE_PROVIDER

  Party that supplies the resource.

### CUSTODIAN

    @UML(identifier="custodian",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role CUSTODIAN

  Party that accepts accountability and responsibility for the data and ensures appropriate care and maintenance of the resource.

### OWNER

    @UML(identifier="owner",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role OWNER

  Party that owns the resource.

### USER

    @UML(identifier="user",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role USER

  Party who uses the resource.

### DISTRIBUTOR

    @UML(identifier="distributor",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role DISTRIBUTOR

  Party who distributes the resource.

### ORIGINATOR

    @UML(identifier="originator",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role ORIGINATOR

  Party who created the resource.

### POINT_OF_CONTACT

    @UML(identifier="pointOfContact",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role POINT_OF_CONTACT

  Party who can be contacted for acquiring knowledge about or acquisition of the resource.

### PRINCIPAL_INVESTIGATOR

    @UML(identifier="principalInvestigator",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role PRINCIPAL_INVESTIGATOR

  Key party responsible for gathering information and conducting research.

### PROCESSOR

    @UML(identifier="processor",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role PROCESSOR

  Party who has processed the data in a manner such that the resource has been modified.

### PUBLISHER

    @UML(identifier="publisher",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role PUBLISHER

  Party who published the resource.

### AUTHOR

    @UML(identifier="author",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Role AUTHOR

  Party who authored the resource.

  Since:
    GeoAPI 2.1

Method Detail

### values

    public static Role[] values()

  Returns the list of `Role`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<Role>`

### valueOf

    public static Role valueOf(String code)

  Returns the Role that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.